=====================================================================

			Nortel Networks 
			Call Center Reporting 2.5
			Version: 2.5.060
			May 31st, 2002
                  Targeted for: Business Communications Manager Feature Pack 1 Maintenance Release 3
                  Targeted for: CallPilot Build 33
			Nortel Networks            
                                                                       
=====================================================================
        | Abstract |
        ============

This set of release notes describes Nortel Networks Call Centre Reporting deficiencies, and known problems.

=====================================================================
        | Overview |
        ============

Version 2.5.060: Full Platform Load (Multi-Language).
Targeted for: Business Communications Manager Feature Pack 1 Maintenance Release 3
Targeted for: CallPilot Build 33
=====================================================================
        |Content deviation from documentation and planned content|
        ==========================================================

Q00453900 Workaround
When Office XP is installed it places copies of a file called MSCAL.OCX onto the hard disk.  These interfere with the operation of the Calendar tool within Call Center Reporting.  To remedy this, use the Start, Search option to search for files called MSCAL.OCX.  The correct file will be found in the \WINNT\System32 folder.  Rename the MSCAL.OCX files in any other locations to XPMSCAL.OCX, and copy MSCAL.OCX file from the \WINNT\System32 into each of the folders in which the renamed files are located.


=====================================================================
        | Restrictions and Limitations |
        ================================

None.

=====================================================================
        | Known Problems |
        ==================
System, Hardware, Software
--------------------------

SR: Q00287914 Priority: 3
Title	MIS: Call Center Reporting Client Giving DAO error messages.
Workaround: Clearing the error message dialog returns normal operation. SR now put into Watch state. (Only seen on one site, and now no longer seen on that site.)

SR: Q00210081-01 Priority: 3 
Title: MIS: Alarm messages scroll until the threshold is no longer met
Workaround: This is design intent.  If the Alarm condition is still true following an alert from the MIS being sent to the wallboards, a new alert is sent.
Either the customer should NOT use Message Alarms (they can use static alarms instead)  OR if they do then if the alarm sends a wallboard message, once the configured alarm threshold has been met, the wallboard will not display stats until the alarm condition is no longer met and the alarm message disappears.
The wallboard stats not displaying is not limited to alarm conditions - it happens whenever there is a message being sent to the wallboard. With the alarm, however, this can be for a prolonged period of time because the message continues to be sent to the wallboard until the system no longer meets the configured alarm threshold.

SR: Q00118852 & Q00118852-01 Priority: 3 
Title: MIS: Installation is not halted when user is logged in without admin rights
Workaround: Windows 2000 will not let a user install software unless they have signed in with Administration rights.  Sign in with Administration rights before installing the MIS.

SR: Q00118806 Priority: 3 
Title: MIS: Cannot remove wallboard messages
Workaround; Sometimes a user may be unable to delete a wallboard message from the wallboard message list within the MIS.  Instead of deleting the message and adding another, edit the existing message.

SR: Q00118869 priority: 3 
Title: MIS: Outgoing calls in "Incoming Call Report " shows high number for Q1
Workaround:  This is design intent.  Out-bound calls are not associated with a Skillset.  The out-bound call is logged to the first queue the Agent logged into.

SR: Q00118749 Priority: 3 
Title: MIS Reporting slower on NT4.0 than Win95/98
Workaround: On one PC it was been reported that the MIS runs slower in NT4 than on other operating systems.  On all other PCs running NT 4 the MIS runs at normal speed.  Ensure that the PC has enough memory and processor speed (see the System Requirements in the SUOG) to cope with the MIS and any other activities that the PC has to run concurrently.

SR: Q00118785 Title: 4 
Title: MIS Agent Profile Report, "Outgoing" appears as "utgoing" with some printers
Workaround: Ensure that you are using the most current printer drivers.

SR: Q00210066-01 Priority: 4 MIS: 
Title: Apply changes to new wallboard msg/alarm/schedule saves multiple instances
Workaround: Do not click on apply until you have finished editing.  If you have clicked Apply and wish to make further changes, click OK and then re-select the message to Edit.

SR: Q00118820 Priority: 4 
Title: MIS: Summary report does not change the way it displays Traffic Analysis in MIS
Workaround: No current workaround.

SR: Q00118805 Priority: 4 
Title: MIS: Wallboard menu item greyed out
Workaround: Sign In with Access to Configuration.  If the wallboard icon is greyed out open and close the Config window. 

SR: Q00118812 Priority: 4 
Title: MIS: When wallboard title is selected or deselected, params return to default
Workaround: No current workaround.

SR: Q00118843 Priority: 4 
Title: MIS:  Skillset information is not being displayed in the System Capacity reports

SR: Q00118906 Priority: 4 
Title: MIS: Incorrect displays when Outgoing call placed during CC call

Entries below this line are ipView SoftBoard SR's

SR: Q00207400 & Q00207400-01 Priority: 3 
MIS ipView:  Default Bleep doesn't work
Workaround: This is a Microsoft Windows issue.  Note that the way a PC reacts to the default bleep depends on the way the Sounds have been mapped by Windows within the PC.  For example, Microsoft Themes may re-map your sounds in such a way that the default bleep is inaudible.  If you cannot hear the default bleep option, use the Sounds option within Control Panel to map the default system sound to something which is audible on the PC.

The sound of the default bleep also depends on whether the PC is fitted with an internal speaker or a ceramic buzzer.  One some PCs the default bleep is a barely audible 'click' sound.  In these circumstances it is preferable to play a sound file.

SR: Q00224899 & Q00224899-01Priority: 3 
Title: MIS ipView:  Should have a warning message when "master" wallboard goes down 
Workaround: This is a change request.  No current workaround.

SR: Q00210055 & Q00210055-01 Priority: 3 
Title: MIS ipView:  Using a wallboard title restricts ipView to 3 parameters
Workaround: This is design intent to allow the ipView SoftBoard to mimic the ipView Wallboard.  To allow 6 parameters to be displayed in ipView SoftBoard, do not select the title option.

Entries below this line are Change Requests

Q00118802 4 MIS report screen doesn't indicate what level the user is viewing
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame. 

SR: Q00118780 Priority: 4 
Title: MIS Summary report does not show a figure for total outgoing calls
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

Q00155557 Priority: 4 
Title: MIS:  Configuration access should have a separate password
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.
 
SR: Q00119608 Priority: 4 
Title: MIS:  Grade of service shows 99 on Wallboard.
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.  The value of GOS% on the wallboard will never rise above 99%.

SR: Q00118800 Priority: 4 
Title: MIS: Cannot access some of the menu options using the keyboard only
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

SR: Q00118778 Priority: 4 
Title: MIS: Cannot choose to print line or agent information only
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

SR: Q00118784 Priority: 4 
Title: MIS: Cannot print MIS reports to file
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

SR: Q00118758-01 Priority: 4 
Title: MIS: Cannot reset system password without deleting configuration settings.
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

SR: Q00118832 Priority: 4 
Title: MIS: Consistency in Banner headings for MIS
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

SR: Q00118777 Priority: 4 
Title: MIS: System numerical reports in MIS print information for unconfigured skillsets
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

SR: Q00119610 priority: 4 
Title: MIS: Arrow button greyed out after reboot of RDB server
You should never re-boot the RDBServer with the MIS running.  IF the RDBServer has been closed down and the MIS is running, close down the MIS.  To re-start the MIS/RDBServer, use the desktop icon to fire up the MIS, which launches the RDBServer once the MIS is initialised.

SR: Q00119760 Priority: 5 
Title: MIS: Call Center Reporting Only allows for 1 site
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

SR: Q00119692 Priority: 5 
Title: MIS: Call Centre Reporting should display several queues simultaneously
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

SR: Q00118776 Priority: 5 
Title: MIS: Default skillset names appear on the System and Queue level reports
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

SR: Q00112501 & Q00112501-01 priority: 5 
Title: MIS: Message to indicate there are changes to lines setup
This is a Change Request to amend the current working which is design intent.  To be reviewed in the BCM 3.0 time frame.

*** End of outstanding issues ***

Solved in this release:
------------------------------------

2.5.060 - Issued to Nortel 31-05-2002 - Full Platform Load - Multi-Language
Targeted for: Business Communications Manager Feature Pack 1 Maintenance Release 3
Targeted for: CallPilot Build 33

Q00245932 P3  RDB Translations. Entries for the Start, Programs, Nortel Networks menu have been standardised according to the convention where RDB is always RDB and 'server' is translated to the appropriate language. (Note: in some languages, 'server' is still 'server'.)

Q00453872 P2 GA  The numbers of incoming and outgoing calls displayed on the Wallboard and IpView SoftBoard are "doubled" the actual calls made.  The wallboard stats were needlessly being read from the database and added to the on-going totals following a disconnect and re-connect with the new buffering and handshaking implementation.  The values are no longer read from the database on these kinds of disconnects.

Q00305335 P3 GA Answered Others calls were incorrectly incrementing the Incoming Total and the Answered Totals a second time.  This led to a disparity between the Calls answered figures for Lines and Agents.  Answered Others calls will now only increment the appropriate columns once.  (Note that there are still other, valid, reasons why the Agent and Lines answered figures may differ.)

Q00417415 P3 GA RDBServer does not have sufficient logging.  The error message shown when the Client cannot connect to the Master has been re-worded, and now offers the user the chance to Retry the connection, to Close the client or to open a Help page offering tips and hints regarding why the network connection to the Master may not be connecting.

Q00224901-01 P3  Agents were not always assigned a log out time if the RDBServer was stopped and re-started quickly several times.  This was due to the delta (if any) between the Call Center and the Master PC clocks not being initialised before the close down procedure was started.  This delta is used to yield log out times in Call Center time, not Master PC time.

History:
------------------------------------

2.5.058 - Issued to Nortel 29-04-2002 - Full Platform Load - Multi-Language

058.1 Q00210081-02 3 GA MIS Wallboards:  Docs:  Alarm msgs scroll until the threshold is no longer met.  Extra section added to Docs; SUOG 7-24.
058.2 Q00360111-01 3 GA ipView not showing stats upon initial launch. Normal working.  Extra section added to docs: ipView SUOG 4-6.
058.3 Q00419056-01 4 MIS:  French Master, the Message heading overlaps the Message title.  Trailing spaces removed from field title.
058.4 Q00419058-01 3 GA MIS: Language translation not done on the Wallboard schedule page.  Appropriate language string now selected.
058.5 Q00418989-01 3 GA MIS: Wallboard & real time hourly stat is incorrect after RDB restart.  Corrected within the RDBServer.

2.5.057 - Issued to Nortel 22-04-2002 - Full Platform Load - Multi-Language

057.1 Q00391498 3 GA Gating  MIS:  Large Not Ready Times displayed when one agent answers a non ACD call. This has been corrected.
057.2 Q00391490 3 GA Gating  MIS: Agent not ready time not correct when answering a non ACD call.  This has been corrected.
057.3 Q00415159 3 GA Gating  The Agent's 'Not Ready Time' is recorded exactly as an outgoing call initiated on an ACD line.  This has been corrected.

2.5.056 - Issued to Nortel 08-04-2002 - Full Platform Load - Multi-Language

056.1 No SR No priority The totals in the Agent Profile report were being incorrectly totalled in some cases.  This has been corrected (this was related to SR Q00287928 in Build 55).

2.5.055 - Issued to Nortel 08-04-2002 - Full Platform Load - Multi-Language

055.1 Q00209271 3  GA GATING  MIS: Jersey: Call Profile/Summary shows no outgoing calls but Agent Activity does.  New section added to SUOG and other descriptions enhanced, and a footer has been added to the Summary Report, as discussed.
055.2 Q00118774 3  GA GATING  MIS: Summary Report Graphs are not displaying
Summary graphical report removed.  SUOG and Help updated. Also Fixed in print options online help and the user guide.
055.3 Q00206315 3  GA GATING  MIS: ipView does not show numerical summary on Re-play of Summary Fixed in ipView 1.2.013 
055.4 Q00288397 3  GA GATING  ipView:  During installation, user is presented with selection of 5 languages Fixed in ipView 1.2.013
055.5 Q00248177 (Q00176583) 3  GA GATING  MIS:  Missing install/uninstall translations.  In the install and uninstall screens, there was one French string that was in English. This has been corrected.  Apart from that, all other screens and buttons are in the target languages, apart from a pair of Yes/No buttons in the uninstall which are OS dependant.  Also, the final OK button is usually displayed as OK. This is not OS dependant, it is target language dependant, but in French, Italian, and German OK is rendered as OK. However, in Spanish, it is displayed as 'Aceptar' (which presumably means 'Accept'.)  
055.6 Q00118863-01 3  GA GATING  MIS:  Average Outgoing Call Duration not totalling correctly for daily stats. New section added to SUOG and other descriptions enhanced, and a footer has been added to the Summary Report.
055.7 Q00118864-01 3  GA GATING  MIS:  Average Outgoing Call Duration Average stat is not recorded correctly. New section added to SUOG and other descriptions enhanced, and a footer has been added to the Summary Report.
055.8 Q00287928 3  GA GATING  MIS: Inaccurate CCR Reports -- login time is zero
The Agent Activity Report is now drip fed the totals each minute for logged-in Agents.  The Agent Profile Report takes a snapshot view and calculates the values for the hitherto unpopulated fields.  (The differing underlying mechanisms for creating these reports prevents a single solution being applied to them both).
055.9 Q00305516 3  GA GATING  MIS:  Outgoing non ACD call is shown on some line reports. A test is made to see if the line that made the call is a non-acd line and if not the call is not recorded on the line side. (Agent state still tracked as he made an outgoing call).
055.10 Q00316567 3  GA GATING  MIS:  Answered incoming call does not increment the agents Not Ready time. A test is made to see if the line that made the call is a non-acd line and if not the call is not recorded on the line side... (Agent state still tracked as he accepts an non-acd call).
055.11 Q00318947-01 3  GA GATING  MIS:  Outmode calls log as abd when no overflow steps are configured. The Skillset state (In Mode v. Out Mode) is now checked for all Abandoned calls, to indicate whether the call should be logged as Out Mode or an Abandoned stat.
055.12 Q00385083 3  Daily and Hourly Summary totals were displaying as 0 when the RDBServer was rebooted.  This has been corrected, the correct values are read from the statistical database.
055.13 Q00245932 3  GA GATING  On the Start, Programs, Nortel Networks menu in the Italian and German versions, RDB Server was in English.  However the translation for German is RDB-Server,  and in Italian it is 'Server DB relazionale'.  Paul Martin wants to keep RDB in English, so this becomes RDB Server too.  (The only change therefore is that in German, RDB-Server is now hyphenated on this menu.)
055.14 Q00322514 3  Section added to ipView and CCR SUOGs discussing DHCP
055.15 Q00324016 3  Section added to CCR SUOG regarding Daily Print Schedule print days
055.16 Q00323863 3  Section added to CCR SUOG regarding IP address of Master Client in the CallPilot/BCM setup.
055.17    Event Logging is always on.  The user cannot stop logging, but starting a new log file will close the old one.

2.5.050 - Issued to Nortel 18-03-2002 - Full Platform Load - Multi-Language

050.1 Q00251784 3  Call activity was blocked from the Real Time screens for Skillsets that were in Out Mode.  This has been changed so that the Call activity is shown for all calls, whether the Skillset is in In Mode or in Out Mode.
050.2 Q00287755 Q00287755-01 3 GA Displayed stats on the System wallboards could revert to the values for Skillset 1.  These values would then increment according to the new system wide activity.  This has been corrected.
050.3 Q00286867 3 GA An Agent answering a non-ACD line would remain in the Available state.  This has been corrected.
050.4 Q00173670-01 3 GA Peak reset Yearly on: doesn't state if reset occurs on first or last day.  Fixed in Docs.

2.5.049 - Debug issue - RDBServer only ***

2.5.048 - Issued to Nortel 11-03-2002 - Full Platform Load - Multi-Language

048.1 Q00252713 & Q00252713-01 2 GA IpView Wallboards and SoftBoard freezes (stop displaying data)
048.2 Q00255155-01 & Q00255155 & Q00279261 & Q00280033 3 GA "network error" Message related to a real time poll being refused has been removed.
048.3 Q00251893-01 & Q00251893 3 GA Externally transferred call left an Outgoing call on the MIS Real Time screen.   This has been corrected.
048.4 Q00255206-01 & Q00255206 3 GA Real Time timers will show MMmSS for minutes and seconds, and HHhMM for hours and minutes.
048.5 Q00285655 & Q00285655-01 3 GA Externally transferred call left an Outgoing call on the MIS Real Time screen, when Line changes were not uploaded from the BCM to the MIS.   This has been corrected.

2.5.042 - Issued to Nortel 7-02-2002 - Full Platform Load - Multi-Language

042.1 Q00247537 Certain parameters on System wallboards were having their incremental increase from the previous session added to the starting total at the commencement of the next session.  This has been corrected.

2.5.041 - Issued to Nortel 7-02-2002 - Full Platform Load - Multi-Language

041.1 None The Master and Client installs now have the Nortel license agreement displayed during the install.  This has been implemented in all languages (English, French, Spanish. Italian and German).
041.2 Q00224905 Out Mode calls were also being tracked as Overflow and/or Answered Others, depending on their eventual destination.  Out Mode calls will now only log as Out Mode.
042.3 None
(Hutchens) Following an Agent accepting an Incoming Call, making an Outgoing call and then transferring the Outgoing call, when they cleared down their original Incoming Call the Agent could remain in the Incoming state in the Real Time screens.  This has been corrected.
041.4 Q00173736 There is now a timer in the Real Time screens for Available Agents.  If the time exceeds 9999 minutes in the System Real Time screen the value will show as ****:ss, and if the time exceeds 999 in the Supervisor  Real Time screen the value will show as ***:ss.  The seconds will still 'tick over' but the minutes cannot be displayed.

2.5.040 - Issued to Nortel 26-01-2002 - RDBServer only ***
				
040.1  The RDBServer will internally ignore all duplicated events (except Event 44) but it will acknowledge events (apart from heartbeats), including all duplicated events.

2.5.039 - Issued to Nortel 25-01-2002 - Full Platform Load - Multi-Language

039.1 Q00218533 & Q00218533-01 Target Lines no longer affect the System Capacity report.
039.2 Q0022490 & Q0022490-01 A call will only be placed in one of the <T, >T or >S categories in the Incoming Call Report.  A call which is tagged as >T will not also increment the count of <T, and a call which is >S will not increment <T and >T as well.  This has been described in the SUOG and the Help.
039.3 Q00173760-01 The Wallboard IP Addresses were being truncated in the Config report.  This has been corrected.
039.4 Q00169772 & Q00169772-01 The Skillset Real Time - Chart window has had the following text added below the Pie Charts: "Note that 'Calls Waiting' and 'Calls > Alarm' will only appear in the Line pie chart.".  The word 'Calls' has been added to the 'Waiting' and '> Alarm' legend texts.
(French, Spanish, Italian & German).
039.5 Q00224901 Agents were not being assigned a logout time if they were logged in, the RDBServer was re-started but they had actually logged out before RDB restarted.  This has been corrected.

2.5.038 - Issued to Nortel 21/01/02 - RDBServer only ***
				
038.1  RDBServer will not ignore Re-Synch Events (Event 44) even if they have a lower ID than that of the previously received Event.

2.5.037 - Issued to Nortel 17-01-2002 - Full Platform Load - Multi-Language

037.1 Q00207373 Sorting of Agent state duration times in the System Manager Real Time screens was not in numerical order, it was in alpha-numerical order.  This has been corrected.
037.2 Q00210069 Wallboard message dialog text changed to now show "Insert (XX) to display a parameter in the message."
037.3 Q00210077 Wallboard schedule interface now specifies 24 hour clock.
037.4  The RDBServer now expects an event ID of (-1) for advanced handling (buffering-on) heart beats (CCHB2 type).
037.5 Q00217757 If the RDBServer is closed down and has to calculate the log out time for any agents, it takes into account any delta (positive or negative) between the PC time and the BCM time.
037.6 Q00169772-01 The Skillset Real Time - Chart window has had the following text added below the Pie Charts: "Note that 'Calls Waiting' and 'Calls > Alarm' will only appear in the Line pie chart."  The word 'Calls' has been added tothe 'Waiting' and the '> Alarm' legend texts.

2.5.036 - Issued to Nortel 7-01-2002 - Full Platform Load - Multi-Language

Ref SR Number Description of Problem Corrected
036.1 Q00207295 When an Agent accepts a transferred call they are able to invoke F908.  Within the MIS, to keep the Agent in the incoming state the F908 is ignored, but a flag is raised to indicate that they should go into the Not Ready state when they clear down the call.  The F908 that is used to cancel the Not Ready was also ignored, so the Agent went into the Not Ready state instead of the available state.  This has been corrected.
036.2 Q00208066 The value for QT should be limited to 999.  Values higher than this are displayed as 999.  This was not happening.  It has been corrected and tested against both the ipView SoftBoard and the ipView WallBoard.
036.3 Q00207786 The System Manager Real Time screens were not sorting the Agents (by duration, status, skillset or name) in the French, Spanish and Italian versions.  The English and the German versions worked as expected.  All versions now perform as expected.

2.5.034 - Issued to Nortel 17/12/01 - Full Platform Load - Multi-Language

034.1 Q00170977 & Q00118845 The Hourly and Daily report buttons on the Historical Report Calendar were sometimes greyed out when they should have been available, preventing the reports for that day being accessed.  This has been corrected.
034.2 Q00137164 Agent names were being truncated to 7 characters.  Agent names of the form Agent127 were being reduced to Agent12.  The word Agent is now reduced to Agnt, leaving the numerical identifier as three digits: Agnt127.
034.3 Q00169194 The Agent Profile Report Range Dialog can now be used to select a range of names.  These may either be specified in full as from: David to: Pam, or as from: D to: P.  To see all the Agents whose names begin with the letter M, enter from: M to: M.


2.5.033 - Issued to Nortel 10/12/01 - Full Platform Load - Multi-Language

033.1 Q00174402 PRI line numbers could show up in the reports instead of being added to the NON_MON category (what used to be NON_ACD).  This has been corrected.
033.2 Q00173976 The term NON_ACD has been replaced by NON_MON.
033.3  The language selection front-end setup.exe now scans the MIS language folders and looks for a LanguageMenu.dat file.  Each of these files contains the menu text and file locations for the appropriate language.  This allows new languages to be added without changing the setup.exe, and preventing the 'wrong' setup.exe being included for different platform builds (BCM v. CallPilot).
033.04  If the MIS cannot poll the RDBServer for real time information, the user is notified that there might be a network problem and the appropriate network error is displayed in a message box on-screen.   The error is also logged in a log file called gui.log.
033.05 A buffer could have over-run, given the correct circumstances.  This has been corrected.  (Might be related to the SRs Q00176583 and Q00176589)

2.5.030 - Issued to Nortel 16/11/01 - Full Platform Load - Multi-Language

030.1 Q00169788 'Serv.' Changed to GOS in the summary reports.
030.2 Q00169790 Spelling mistake in Daily Summary report 'Outoing' changed to 'Outgoing'.

2.5.029 - Issued to Nortel 15/11/01 - RDBServer only *** DEBUG BUILD

029.1  Timeouts changed in the Wallboard socket routines to allow wallboard hardware time to reset.

2.5.028 - Issued to Nortel 15/11/01 - RDBServer only *** DEBUG BUILD

028.1  Timeouts changed in the Wallboard socket routines.

2.5.027 - Issued to Nortel 15/11/01 - RDBServer only *** DEBUG BUILD

027.1 Q00147651 In the French and Spanish Client installs, one screen was in English instead of in French or Spanish.  This has been corrected.

2.5.026 - Issued to Nortel 15/11/01 - RDBServer only *** DEBUG BUILD

026.1 Q00168330 & Q00168330-01 Large and/or negative numbers could show up in reports as a result of a call that was received into a Skillset Q, progressed out of the Skillset Q to a Mailbox, reverted to the Skillset Q from the Mailbox, moved to another Skillset Q and then abandoned.  Large and/or negative numbers  could also result from having the ACD lines programmed to appear and ring on the Agent handsets.  Both of these cases have been corrected.


2.5.025 - Issued to Nortel 12-11-2001 - Full Platform Load - Multi-Language

025.1 Q00118811 DIR, ANNC and >T have been changed to <T, >T, >S.
025.2 Q00118955 Italian word for skillset has been changed to Skillset.
025.3 Q00147651 In the French and Spanish installs, one screen was in English instead of in French or Spanish.  This has been corrected.
025.4 (none) The rdb.log became confused when it wrapped round. It will now wrap at 1,048,576 bytes (1 MB) and will list new events from the top of the file with each new event placed on successive lines. 
025.5 Q00112399 Out Mode calls that were overflowed did not show up in the Incoming Call report in the Skillset into which it overflowed.  This has been corrected.
025.6 Q00147649 The language selection dialog has been changed to read the languages it should display as options from a data file.  This means that different language options can be displayed for CallPilot (English, French, Spanish) and the BCM platforms (English, French, Spanish, Italian and German)


2.5.024 - Issued to Nortel 06/11/01 - RDBServer only ***

024.1  The enhanced re-synching features will only come into operation once the Call Center has sent an Event 45 to the RDBServer.

2.5.022 - Issued to Nortel 31/10/01 - RDBServer only ***

022.1  The RDBServer will now send an RM=6 Request Message to the Call Center to indicate that it is going to close down.

2.5.021 - Issued to Nortel 31/10/01 - RDBServer only ***

021.1  New re-synching features added to the RDBServer.  The first time the RDBServer boots and connects to the Call Center, it send the usual re-boot message, RM=0.  Subsequent re-connections are signalled by the new RM=5 re-synch Request Message.  The RDBServer does not clear out the in-progress call and agent activity unless the Call Center sends an Event 44 to it.


2.5.020 - Issued to Nortel 25/10/01 - RDBServer only ***

020.1  Extra logging information added to the RDBServer to aid in debugging network connection/data loss problems. 

Build 05  Issued to Nortel 19-9-2001 - Full Platform Load - Multi-Language

05.1 10453310 Hourly stats were not incrementing correctly on the wallboards.  This has been corrected.

05.2 10428570 Wallboard summary showed zeroes for hourly stats.  This has been corrected.

05.3 If the first day of the year was a Monday (as was the case in 2001) the weekly stats files were missing.  This has been corrected.

Build 04  Issued to Nortel 16-8-2001 - Full Platform Load - Multi-Language

04.1 10444814 (10444820) Sunday report being printed in Scheduled Prints even though it is not selected.  Selecting a given day will now cause that day's reports to be printed 'tomorrow'.  For example, selecting Monday will cause a print to occur on Tuesday, of Monday's reports.

04.2 10444822 'Queue' instead of 'Skillset' on Agent Profile report set-up screen.  This has been corrected.

04.3 10444881 Agents were appearing in the Agent Profile report in Skillsets they had not signed into.  This has been corrected.

Build 03  Issued to Nortel 25-7-2001 - Full Platform Load - Multi-Language

03.1 (no SR) An Agent taking an Incoming call, placing it on hold and making an Outgoing call, returning to the Incoming call and clearing it down was left in the Available state, not the Incoming state.  This has been corrected.

03.2 10440229 Fixed in Docs: Typo corrected on Page 70.

03.3 10440242 Overflow calls were not being logged to the correct skillset, they were being logged to the skillset in which the handling Agent signed into first.  This has been corrected.

03.4 10442113 Extension utilisation was not being totalled correctly.  This has been corrected.

03.5 10442515 Fixed in Docs: Skillset Tabs do not appear at the bottom of the Manager Config Report.

03.6 (no SR) If the BCM sent a bad packet with a negative event type to the RDBServer it would crash.  The RDBServer now rejects the packet and sends a message to the RDBServer window alerting the fact that a bad packet was received.  If the MIS logging is on, the event (as received) will be put into the event log file.  Whether logging is on or off, the bad event packet and a time stamp are put into the rdb.log file.

Build 02 - Issued to Nortel 26/06/01 - Full Platform Load
 
02.1 10437029 The wallboard In Mode abbreviations used in the non-English language version of CC Reporting were sometimes showing up in English.  This has been corrected. 

Build 01 - Issued to Nortel 19/06/01 - Full Platform Load - Multi-Language FCS

01.1 10414238 Error message for Invalid Time bin value now indicates that the maximum value is 59:59, and that the maximum value for either the minute or the seconds value is '59'.

01.2 (Nortel PV) Following a socket disconnect/reconnect between the RDBServer and the BCM, incoming queued calls were going into the red Alarm state before they had passed the Alarm Threshold.  (These Calls would also be recorded as answered ANNC instead of DIR.) This has been corrected.

01.3 (ActionFront) An Agent receiving a call with Scope = External and QueueID = 0 remained in the Busy state following clear down.  They are now returned to Available.

01.4 10433923 The RDBServer will send a Heart Beat to the BCM once per second, and also in response to a Heart Beat from the  BCM (as a sort of 'ack' message). The Heart Beat timeout before re-setting the Socket connection has been extended to 60 seconds.

01.5 (none) Time stamps in the RDBServer window now show to a second resolution and the message 'Socket connection is broken, recv error code =' has been replaced with 'Socket connection dropped.  Reason ='

01.6 10431795 & Q00168831The 'language selection' setup.exe now waits for the installation process to complete before it closes down.  This prevents Package for the Web from removing the temporary installation folder before the installation is completed.

Build 01 e - Issued to Nortel 05/06/01 - Full Platform Load - Multi-Language

01.e.1 10429379 When a call progressed out of a Skillset Queue (through routing steps or overflow, etc) to a destination such as a handset, the Auto-Attendant, the CCR etc, the MIS cleared down the call when it first received a Terminate event.  The remainder of the call was handled as a new call, but it still had attributes of the previous call.  This caused the MIS to lose track of that states the call/Agent should be in.  The call would be logged as an Abandoned Call. This has been corrected.

01.e.2 10429362 When a call progressed out of a Skillset Queue (through routing steps or overflow, etc) to a destination such as a handset, the Auto-Attendant, the CCR etc, the MIS cleared down the call when it first received a Terminate event.  The remainder of the call was handled as a new call, but it still had attributes of the previous call.  This caused the MIS to lose track of that states the call/Agent should be in.  The call would be logged as an Abandoned Call.  This has been corrected. (Same fix as 10429379).

01.e.3 30358997 Some Real Time screen template files (*.vts) were copied into the Italian installation set from the Spanish set.  This has been corrected.

01.e.4  It was suggested that some German phrases (some check box title options, for example) could have been hyphenated better, and some phrases re-worded.  This was done.  The Calendar is a Microsoft .OCX file, for which there is a German, Italian, Spanish and French file.  Microsoft Office also installs one onto the PC in the language in which Office is installed.  (See the discussion in the SUOG on Page 19 on this topic.)

01.e.5 50349386 (1) A DAO error can be seen when the BCM 2.5 has been installed over a BCM 2.0 installation.  The InstallShield process now checks to see whether BCM 2.0 exists in the target folder of the new 2.5 install.  If it does, it is moved to a folder called ARCHIVE within the installation folder.
(2) An environment variable called TMP must exist on Windows 2000 and Windows NT machines, which points to a valid temporary folder, which must reside on a disk on which there is some available space.  Otherwise a DAO error 3043 is reported at start-up of the MIS.

01.e.6 10428596 The text of the ACDConfig.mdb error message now says 
"Could not find Configuration file 'ACDConfig.mdb'.  This file must exist for the RDBServer to run.  To create this file, start the Call Center Reporting Master Client GUI."  When the user clicks OK on this message box, the RDBServer closes down.

01.e.7 10428570 When the RDBServer is restarted or the IP connection is reset to the BCM, the stats for the current hour and current day are read from the stats database and the wallboard carries on showing information from these totals, instead of going back to zeroes.  These stats are then totalled for the Summary on the System wallboards.

01.e.8 10428577 It now states in the SUOG (page 11) that to install the MIS onto a Windows 2000 or Windows NT machine the user must have Administration rights, or seek the assistance of their Network / PC Administrator.

01.e.9 10421722 It is now described in the SUOG (Pages 17, 18) why the user may wish to apply security to shared folders, and how to apply security to shared folders, for Windows 95, 98, NT and 2000.

01.e.10 10428456 On a few PCs in 256 colour mode, the pie chart colours are altered if any other application has changed the Windows palette.  There is a workaround, which is to move to the next higher or lower desktop settings.

01.e.11 1431005 When the RDBServer is restarted or the IP connection is reset to the BCM, the stats for the current hour and current day are read from the stats database and the wallboard carries on showing information from these totals, instead of going back to zeroes.

01.e.12 10431000 When a call progressed out of a Skillset Queue (through routing steps or overflow, etc) to a destination such as a handset, the Auto-Attendant, the CCR etc, the MIS cleared down the call when it first received a Terminate event.  The remainder of the call was handled as a new call, but it still had attributes of the previous call.  This caused the MIS to lose track of that states the call/Agent should be in.  The call would be logged as an Abandoned Call.  This has been corrected. (Same fix as 10429379).

01.e.13 10428568 The Daily Schedule Print tries to print 'yesterday's' reports at a defined time on subsequent days.  If there are no stats for 'yesterday', the Agent Profile report will show 'No Agent data available'.  However, looking at 'today's' Agent Profile report will show data on-screen because of today's activity.  The printed report is for yesterday, and the on-screen one is for today, so they are showing different data sets.  Looking at yesterday's Agent Profile report on the screen (in this scenario) would also show ''No Agent data available'.


Build 01 d - Issued to Nortel 17/05/01 - Full Platform Load - Multi-Language

01.d.1 10426861 The MIS InstallShield now uses the InstallShield 'batch registration' feature to register self-registering DLLs.  Previously an error (-119) could be received when loading the MIS from the BCM Web Install front-end.
01.d.2 10426488 A multi-skillset Agent had their break time allocated to the first Skillset into which they had signed.  It is now allocated to the Skillset the call 'belonged to'.
01.d.3 10426689 5 extra pages were being printed when the User requested a Configuration report.  This has been corrected.
01.d.4 10426794 Selecting the Agent Profile as the only report to print in the Monthly Print Schedule dialog generated an error message.  This has been corrected.
01.d.5 10426803 In the Config report the Day Of Week to print the Weekly Print Schedule on was showing as one day ahead of what it should have been.  This has been corrected.
01.d.6 10420604 Q Time has been removed from the Manager Real Time screens and replaced with 'Oldest Call' (or the French, Spanish, Italian and German equivalent).
01.d.7 ?? If a version 2.0 previous install of the MIS is detected in the target folder during installation of the MIS, the InstallShield creates a folder called Archive within the target install folder, and moves all of the BCM 2.0 files into it.  This prevents a DAO error message due to differences in the Configuration databases between versions 2.5 and 2.0.
01.d.8 BOND LOVIS If an Agent made an Outgoing Call while they were handling an Incoming Call, upon Clear down of the Outgoing Call they would appear as Available instead of Incoming, until they entered the Break Time period when they would return to Incoming.  This has been corrected.

Build 01 c - Issued to Nortel 12/03/01 - Full Platform Load - Multi-Language

01.c.1 The MIS is now available in 5 languages: English, French, Spanish, Italian & German.  When the user clicks on the setup.exe in either the Nortel Networks call Center Reporting Master or Nortel Networks call Center Reporting Client folders, a small program appears allowing them to select the language they wish to have the MIS operate in.

Build 01 b - Issued to Nortel 12/03/01 - Full Platform Load

01.b.1 ?? An Agent transferring a call to another Agent did not get the correct amount of incoming talk time/break time allocated to them.  This has been corrected.
01.b.2  A mutex clash meant that the Heart Beat event could not turn itself on.  This caused the socket connection to be dropped and reconnected every 10 seconds.  This has been corrected.

Build 01 a - Issued to Nortel 10/03/01 - Full Platform Load

01.a.1 10414238 Error message for Invalid Time bin value now indicates that the maximum value is 59:59.
01.a.2 10414239 Entering an invalid number in the Time Bin configuration caused the Config window to close.  This has been corrected.
01.a.3 10413789 Agent names are truncated to 7 characters during the Config upload process (as only 7 characters can be seen in the Real Time screens).
01.a.4 10415803 If a line was removed from the BCM Config and the Config then uploaded to the MIS, the removed line remained in the MIS Config.  This has been corrected - these lines are removed from the MIS Config also.
01.a.5 10415778 The Lines, Skillset and Agent properties buttons have been removed to prevent the user making changes to the Config information uploaded from the BCM.  The Skillset Properties button has been changed to a Password button, to allow the Skillset Supervisor password to be amended,
01.a.6 10415767 The Tab order has been changed in the Config Window to Skillsets, Lines, Agents to make it more logical for the user to upload the Config information in that order.  This means that the Lines will show the actual BCM Skillset names in the Lines window, not the default Skillset names.
01.a.7 10411080 & Q00118775 Active Agents are logged out of the RDBServer/MIS when the RDBServer detects a break in the Socket connection to the BCM, and before it closes down.  This ensures that a login Time and Available Time are entered into the reports for these Agents.
01.a.8 10410213 Average Outgoing Call Duration was being recorded incorrectly.  This has been corrected.
01.a.9 10410022 Night Mode has been removed from the reports and replaced with Out Mode.  Where Out was used to indicate Outgoing calls, this has been changed to show Outgoing
01.a.10 10409194 Daily Summary reports were not carrying the totals forward correctly when rolling the stats into the Weekly and Monthly reports.  This corrupted the Peak, Average, and Last figures for all Summary reports (Daily Weekly and Monthly). This has been corrected.
01.a.11 10409195 After any reports were printed, trying to view the Summary Reports caused them to be printed.  This has been corrected.
01.a.12 104146146 The DIR and ANNC stats were not being recorded correctly when a call had been transferred.  This has been corrected.
01.a.13 Sean U. A Data Cell in the Supervisor Real Time - Status window was editable.  This has been corrected.
01.a.14 (Bond Lovis) Agents Signing Out whilst on an incoming ACD Call would be returned to the Incoming state when they next Signed In.  The timer would have kept going and would lead to excessive Incoming Times being displayed.
01.a.15 (Bond Lovis) If an Agent had an Incoming ACD Call ringing on their handset, and were then presented with another Call (transferred from another Agent, say) and they answered the second Call and left the first Call ringing, the MIS would get confused when the Call Center sent an Auto-Busy event to the Agent when the original ACD Call was returned to the Skillset Queue.  This left the Agent stuck in the Incoming Call state, leading to excessive Incoming Times being displayed.

Build 00 z - Issued to Nortel 26/03/01 - Full Platform Load

00.z.1 10410035 Spelling Mistake: 'Overflow' was mispelt in the graphical Incoming Call report.
00.z.2 10409199 At Manager Level, the Agent Profile report option in the report print selection dialogue should always be greyed out for the Hourly Reports.  Selecting 'numerical & graphical' and then re-selecting 'numerical' made this option available.  This has been corrected.
00.z.3 10409204 The period start and finish times are now correctly printed in the headers of Hourly reports.
00.z.4 ?? Uploaded Skillset names are now correctly truncated to 7 characters.  (Leaving them at 8 meant that you could not change the Skillset Supervisor password.)
00.z.5 ?? The RDBServer now looks for and counts 'heart beats' from the BCM. If it does not receive a heart beat in 10 seconds the socket connection is dropped and re-started.  It also sends a heart beat every second so that the BCM can count them and do the same.

Build 00 y - Issued to Nortel 28/02/01 - Full Platform Load

00.y.1 Skillset names are all set to the default values (Skill1, Skill2 ... Skill50) prior to a Skillset Config Download action, so that inactive skillsets lying between active skillsets have their user-supplied names removed.
00.y.2 The Service Status Time Elapsed counter in the Real Time screens was updating each minute instead of with each refresh of the Real Time screens, and the minutes value was over-writing the seconds value.  For example, an elapsed time of 09:45 was displaying as 00:09.  This has been corrected.
00.y.3 Right-clicking on any of the grey areas of the RDBServer window will cause a dialog to appear, which will allow the user to change the Port the IP Wallboard socket connection transmits to. This will allow the MIS to address wallboards that lie beyond a firewall, when the firewall only allows Ports in a certain range to be used.  (This feature is intended to be used only under the instruction of support personnel, not on in ad-hoc fashion by the user.)

Build 00 x - Issued to Nortel 12/02/01 - Full Platform Load

00.x.1 SR: 10398786 cleared; word Sevice changed to word Service.

Build 00 w - Issued to Nortel 11/10/00 - Full Platform Load

00.w.1	The term Queue has been replaced by the term Skillset
00.w.2 	The term Busy has been replaced by the term Not Ready
00.w.3 	The term Wrap Up has been replaced by the term Break Time

Build 00 v - Issued to Nortel 30/08/00 - Full Platform Load

00.v.1	Uploaded Agent, Line or Queue names which are longer than 8 characters are silently truncated to 8 characters.
00.v.2	Change to the Config Upload 'animation' sequence.  It intermittently failed to operate on Windows 2000; this has been fixed.

Build 00 u - Issued to Nortel 25/08/00 - Full Platform Load

00.u.1	On-Line Help content is now complete. 
00.u.2	First full 'platform' build.  This loads the Master and Client install sets onto the platform.

Build 00 t - Issued to Nortel 23/08/00 - RDBServer only

00.t.1	Responses from RDBServer to BCM CC (request messages) are now immediate, they do not require event traffic to trigger a response for the RDBServer.
00.t.2	Agent priorities up to 20 are now handled correctly.


Build 00 s - Issued to Nortel 14/08/00 - Master Client Install Set

00.s.1 	First release version of the 50 Queue, 250 Agent ID, 100 Line Call Center Reporting package, for use with the BCM 2.5.
00.s.2 	Checksums have been removed from the communications between the RDBServer and the Call Center.
00.s.3 	A reboot message is sent to the Call Center when the RDBServer connects to the Call Center.
00.s.4 	Config Data request messages are sent to the Call Center when the user requests to download the Agent, Line or Queue information from the Call Center.
00.s.5 	IP connectivity wallboards are supported.
00.s.6 	10 Queues are visible at a time in the System Manager Graphical Real Time Screens.  To view the next 10 Queues, click on the >> toolbar button .  To view the previous 10 Queues, click on the << toolbar button.
00.s.7 	Product has been renamed as Nortel Networks Call Center Reporting.  It is referred to as Business Communications Manager Call Center Reporting in the installation routines.
00.s.8 	The registry keys are stored under:
HKEY_LOCAL_MACHINE\SOFTWARE\Nortel Networks\Nortel Networks Call Center Reporting.
00.s.9 	The (default) installation directory is c:\Program Files\Nortel Networks\Call Center Reporting.

